package cn.iocoder.yudao.module.product.convert.slavedevice;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.product.controller.admin.slavedevice.vo.*;
import cn.iocoder.yudao.module.product.dal.dataobject.slavedevice.SlaveDeviceDO;

/**
 * 从(子)设备信息 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface SlaveDeviceConvert {

    SlaveDeviceConvert INSTANCE = Mappers.getMapper(SlaveDeviceConvert.class);

    SlaveDeviceDO convert(SlaveDeviceCreateReqVO bean);

    SlaveDeviceDO convert(SlaveDeviceSaveReqVO bean);

    SlaveDeviceRespVO convert(SlaveDeviceDO bean);

    List<SlaveDeviceRespVO> convertList(List<SlaveDeviceDO> list);

    PageResult<SlaveDeviceRespVO> convertPage(PageResult<SlaveDeviceDO> page);

}
